This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 825753 - NoSuchMethodError: org.drools.core.util.ClassUtil.isWindows().
NoSuchMethodError: org.drools.core.util.ClassUtil.isWindows().
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Build Process, JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
urgent Severity urgent
: ER4
: 5.3.0 GA
Assigned To: Julian Coleman
Marek Baluch
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 07:39 EDT by Marek Baluch
Modified: 2015-03-12 07:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
SOA 5.3 ER3 + BRMS 5.3 ER7 + jBPM5 Integration for SOA 5.3 ER3
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Server Log (285.24 KB, text/x-log)
2012-05-28 07:39 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2012-05-28 07:39:09 EDT
Description of problem:

Looks like the components in SOA-P 5.3 ER3 do not have the correct chemistry. Upon deployment of the bpmProcessor5 quickstart a NoSuchMethodError is thrown. See attached server log for more detail.
Comment 1 Marek Baluch 2012-05-28 07:39:57 EDT
Created attachment 587226 [details]
Server Log
Comment 2 tcunning 2012-05-30 16:08:11 EDT
Marek, what version of BRMS did you use here?  I took a look through what is in SOA-P and the SOA-P/jbpm5 zips and didn't see anything making this call.    What version of drools-compiler is in the BRMS ER you are using?
Comment 3 Marek Baluch 2012-05-30 17:15:30 EDT
Hi Tom,

as mentioned in the Environment section - I used BRMS 5.3 ER7 (http://jawa05.englab.brq.redhat.com/candidate/BRMS-5.3.0-ER7/brms-p-5.3.0.BRMS-ER7-deployable.zip) and I followed Julian's install instructions which can be found in a README.txt file zipped in the jBPM5/ESB integration (http://jawa05.englab.brq.redhat.com/candidate/soa-5.3.0.ER3/soa-p-5.3.0.ER3-jbpm5.zip)
Comment 4 tcunning 2012-05-30 17:47:23 EDT
This is definitely caused because of the differing versions of drools and jbpm JARs in SOA-P and in the BRMS ER being tested here.     SOA-P 5.3 ER3 ships with drools/jbpm ER6 JARs, while you are testing with ER7 JARs.    

I'm not sure you can test with ER6 JARs - there were some blocking issues there.

We need to sync up the ERs to test this it looks like.
Comment 5 tcunning 2012-05-30 17:52:37 EDT
The ER7 drools-compiler JAR contains :

./org/drools/commons/jci/compilers/EclipseJavaCompiler$2.class

which has a call to ClassUtils.isWindows()

Caused by: java.lang.NoSuchMethodError: org.drools.core.util.ClassUtils.isWindows()Z
	at org.drools.commons.jci.compilers.EclipseJavaCompiler$2.isPackage(EclipseJavaCompiler.java:303)

The ER6 drools-compiler JAR (the version in SOA-P) does not contain this call, and the version of ClassUtils in ER6 doesn't contain the isWindows() method.

The ER7 (brms deployable) drools-core's version of ClassUtils has a isWindows() method, the ER6 (SOA-P) drools-core version does not.
Comment 6 Marek Baluch 2012-05-30 18:17:58 EDT
IMO there are mixed up two different version here. SOA release page says that ER7 was used to build the product. To back up my claim have a look at the content of jbrules.esb. Yet the integration contains ER6 jars.

I tried originally BRMS ER6 but the bits are not configured properly for SOA-P. There are conflicts for jbpm-console contexts.

This was probably caused in the build process.
Comment 9 Julian Coleman 2012-06-21 08:48:35 EDT
Drools/jBPM5 components in SOA-P ER4 have been synchronised with BRMS-P ER9.
Comment 10 Marek Baluch 2012-06-21 09:13:18 EDT
Verified on 5.3 ER4.
Comment 11 Suz 2012-06-28 19:29:56 EDT
Technical note field set to negative as this issue was fixed befrore users saw it.

Note You need to log in before you can comment on or make changes to this bug.